Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.projections.conic
Class LambertConformalConic

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.projections.Projection
              org.deegree.crs.projections.conic.ConicProjection
                  org.deegree.crs.projections.conic.LambertConformalConic

All Implemented Interfaces:
  Serializable

    public class LambertConformalConic

extends ConicProjection

The `LambertConformalConic` projection has following properties (Snyder p. 104)

- Conic
- Conformal
- Parallels are unequally spaced arcs of concentric circles, more closely spaced near the center of the map
- Meridians are equally spaced radii of the same circles, thereby cutting paralles at right angles.
- Scale is true along two standard parallels, normally or along just one.
- The Pole in the same hemisphere as the standard parallels is a point; other pole is at infinity
- Used for maps of countries and regions with predominant east-west expanse.
- Presented by Lambert in 1772.

from: http://lists.maptools.org/pipermail/proj/2003-January/000592.html For east-west regions, the Lambert Conformal Conic is slightly better than the Transverse Mercator because of the ability to go farther in an east-west direction and still be able to have "round-trip" transformation accuracy. Geodetically speaking, it is NOT as good as the transverse Mercator.

It is known to be used by following epsg transformations:

- EPSG:3034

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`LambertConformalConic(double firstParallelLatitude, double secondParallelLatitude, GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units)` Creates a Lambert Conformal projection with a intersecting cone at the given parallel latitudes. and a scale of 1.
`LambertConformalConic(double firstParallelLatitude, double secondParallelLatitude, GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale)`
`LambertConformalConic(double firstParallelLatitude, double secondParallelLatitude, GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale, Identifiable id)`
`LambertConformalConic(double firstParallelLatitude, double secondParallelLatitude, GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, Identifiable id)` Creates a Lambert Conformal projection with a intersecting cone at the given parallel latitudes. and a scale of 1.
`LambertConformalConic(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units)` Creates a Lambert Conformal projection with a tangential cone at the naturalOrigin.y's latitude.
`LambertConformalConic(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale)` Creates a Lambert Conformal projection with a tangential cone at the naturalOrigin.y's latitude.
`LambertConformalConic(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale, Identifiable id)` Creates a Lambert Conformal projection with a tangential cone at the naturalOrigin.y's latitude.
`LambertConformalConic(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, Identifiable id)` Creates a Lambert Conformal projection with a tangential cone at the naturalOrigin.y's latitude.

Method Summary
`javax.vecmath.Point2d` | `doInverseProjection(double x, double y)` Do an inverse projection from projected (map) coordinates to geographic coordinates.
`javax.vecmath.Point2d` | `doProjection(double lambda, double phi)` The actual transform method doing a projection from geographic coordinates to map coordinates.
`boolean` | `equals(Object other)`
`String` | `getImplementationName()`

Methods inherited from class org.deegree.crs.projections.conic.ConicProjection
`getFirstParallelLatitude, getSecondParallelLatitude, hashCode`

Methods inherited from class org.deegree.crs.projections.Projection
`getCosphi0, getDatum, getEccentricity, getEllipsoid, getFalseEasting, getFalseNorthing, getGeographicCRS, getNaturalOrigin, getPrimeMeridian, getProjectionLatitude, getProjectionLongitude, getScale, getScaleFactor, getSemiMajorAxis, getSemiMinorAxis, getSinphi0, getSquaredEccentricity, getUnits, isConformal, isEqualArea, isSpherical, setFalseEasting, setScale, toString`

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LambertConformalConic

    public LambertConformalConic(double firstParallelLatitude,
                                 double secondParallelLatitude,
                                 GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units,
                                 double scale,
                                 Identifiable id)

Parameters:
  `firstParallelLatitude` - the latitude (in radians) of the first parallel. (Snyder phi_1).
  `secondParallelLatitude` - the latitude (in radians) of the second parallel. (Snyder phi_2).
  `geographicCRS` -
  `falseNorthing` -
  `falseEasting` -
  `naturalOrigin` -
  `units` -
  `scale` -
  `id` - an identifiable instance containing information about this projection

### LambertConformalConic

    public LambertConformalConic(double firstParallelLatitude,
                                 double secondParallelLatitude,
                                 GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units,
                                 double scale)

Parameters:
  `firstParallelLatitude` - the latitude (in radians) of the first parallel. (Snyder phi_1).
  `secondParallelLatitude` - the latitude (in radians) of the second parallel. (Snyder phi_2).
  `geographicCRS` -
  `falseNorthing` -
  `falseEasting` -
  `naturalOrigin` -
  `units` -
  `scale` -

### LambertConformalConic

    public LambertConformalConic(GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units,
                                 double scale,
                                 Identifiable id)

  Creates a Lambert Conformal projection with a tangential cone at the naturalOrigin.y's latitude.

  Parameters:
    `geographicCRS` -
    `falseNorthing` -
    `falseEasting` -
    `naturalOrigin` -
    `units` -
    `scale` -
    `id` - an identifiable instance containing information about this projection

### LambertConformalConic

    public LambertConformalConic(GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units,
                                 double scale)

  Creates a Lambert Conformal projection with a tangential cone at the naturalOrigin.y's latitude.

  Parameters:
    `geographicCRS` -
    `falseNorthing` -
    `falseEasting` -
    `naturalOrigin` -
    `units` -
    `scale` -

### LambertConformalConic

    public LambertConformalConic(double firstParallelLatitude,
                                 double secondParallelLatitude,
                                 GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units,
                                 Identifiable id)

  Creates a Lambert Conformal projection with a intersecting cone at the given parallel latitudes. and a scale of 1.

  Parameters:
    `firstParallelLatitude` - the latitude (in radians) of the first parallel. (Snyder phi_1).
    `secondParallelLatitude` - the latitude (in radians) of the second parallel. (Snyder phi_2).
    `geographicCRS` -
    `falseNorthing` -
    `falseEasting` -
    `naturalOrigin` -
    `units` -
    `id` - an identifiable instance containing information about this projection

### LambertConformalConic

    public LambertConformalConic(double firstParallelLatitude,
                                 double secondParallelLatitude,
                                 GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units)

  Creates a Lambert Conformal projection with a intersecting cone at the given parallel latitudes. and a scale of 1.

  Parameters:
    `firstParallelLatitude` - the latitude (in radians) of the first parallel. (Snyder phi_1).
    `secondParallelLatitude` - the latitude (in radians) of the second parallel. (Snyder phi_2).
    `geographicCRS` -
    `falseNorthing` -
    `falseEasting` -
    `naturalOrigin` -
    `units` -

### LambertConformalConic

    public LambertConformalConic(GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units,
                                 Identifiable id)

  Creates a Lambert Conformal projection with a tangential cone at the naturalOrigin.y's latitude. And a scale of 1.

  Parameters:
    `geographicCRS` -
    `falseNorthing` -
    `falseEasting` -
    `naturalOrigin` -
    `units` -
    `id` - an identifiable instance containing information about this projection

### LambertConformalConic

    public LambertConformalConic(GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units)

  Creates a Lambert Conformal projection with a tangential cone at the naturalOrigin.y's latitude. And a scale of 1.

  Parameters:
    `geographicCRS` -
    `falseNorthing` -
    `falseEasting` -
    `naturalOrigin` -
    `units` -

Method Detail

### doInverseProjection

    public javax.vecmath.Point2d doInverseProjection(double x,
                                                     double y)

  Description copied from class: `Projection`
  Do an inverse projection from projected (map) coordinates to geographic coordinates.

  Specified by:
    `doInverseProjection` in class `Projection`
  Parameters:
    `x` - coordinate on the map
    `y` - coordinate on the map
  Returns:
    the projected Point with x = lambda and y = phi;
  See Also:
    `Projection.doInverseProjection(double, double)`

### doProjection

    public javax.vecmath.Point2d doProjection(double lambda,
                                              double phi)

  Description copied from class: `Projection`
  The actual transform method doing a projection from geographic coordinates to map coordinates.

  Specified by:
    `doProjection` in class `Projection`
  Parameters:
    `lambda` - the longitude
    `phi` - the latitude
  Returns:
    the projected Point or Point(Double.NAN, Double.NAN) if an error occurred.
  See Also:
    `Projection.doProjection(double, double)`

### getImplementationName

    public String getImplementationName()

  Specified by:
    `getImplementationName` in class `Projection`
  Returns:
    A deegree specific name which will be used for the export of a projection.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `ConicProjection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org